
.btn {
    color: #000;
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 500;
    font-size: size-rel(13px);
    line-height: size-rel(16px);
    padding: size-rel(12px) size-rel(26px);
    font-family: $font-family-primary;
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    vertical-align: middle;
    transition: .3s;

    &:hover {
        text-decoration: none;
        transition: .3s;

    }

    &:active {

    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &--white {
        color: $dark;
        background: $white;

        &:hover {
            color: $white;
            background: $pink;
        }
    }

    &--pink {
        color: $white;
        background: $pink;

        &:hover {
            color: $dark;
            background: $white;
        }
    }
}

.btn-md {
    padding: size-rel(20px) size-rel(26px);
}


.btn-text {
    margin: 0;
    color: $pink;
    border: none;
    outline: none;
    font-weight: 500;
    font-size: size-rel(16px);
    line-height: size-rel(20px);
    cursor: pointer;
    display: inline-block;
    background: transparent;
    text-decoration: none;

    &:hover {
        color: $pink;
        text-decoration: underline;
    }
}

.btn-link {
    margin: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-block;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.w-100 {
    width: 100%;
}

.btn-group {
    text-align: center;
    padding-top: size-rel(10px);

    &__item {
        &:not(:last-child) {
            margin-bottom: size-rel(20px);
        }
    }

    @include media-breakpoint-up(sm) {
        text-align: left;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__item {
            margin-bottom: 0;
            width: calc(50% - 20px);

            &:not(:last-child) {
                margin-bottom: 0;
            }
        }
    }
}
